defmodule Nulla.Models.Hashtag do
  use Ecto.Schema
  import Ecto.Changeset

  schema "hashtags" do
    field :tag, :string
    field :usage_count, :integer, default: 0

    timestamps()
  end

  @doc false
  def changeset(hashtag, attrs) do
    hashtag
    |> cast(attrs, [:tag, :usage_count])
    |> validate_required([:tag])
    |> unique_constraint(:tag)
  end
end
