defmodule Nulla.Models.ModerationLog do
  use Ecto.Schema
  import Ecto.Changeset

  schema "moderation_logs" do
    field :target_type, :string
    field :target_id, :string
    field :action, :string
    field :reason, :string
    field :metadata, :map

    belongs_to :moderator, Nulla.Models.User

    timestamps()
  end

  @doc false
  def changeset(moderation_log, attrs) do
    moderation_log
    |> cast(attrs, [:moderator_id, :target_type, :target_id, :action, :reason, :metadata])
    |> validate_required([:moderator_id, :target_type, :target_id, :action])
  end
end
