defmodule Nulla.Repo.Migrations.CreateUsers do
  use Ecto.Migration

  def change do
    create table(:users) do
      add :username, :string, null: false, unique: true
      add :email, :string
      add :password, :string
      add :is_moderator, :boolean, default: false, null: false
      add :realname, :string
      add :bio, :string
      add :location, :string
      add :birthday, :date
      add :fields, :map
      add :tags, {:array, :string}
      add :follow_approval, :boolean, default: false, null: false
      add :is_bot, :boolean, default: false, null: false
      add :is_discoverable, :boolean, default: true, null: false
      add :is_indexable, :boolean, default: true, null: false
      add :is_memorial, :boolean, default: false, null: false
      add :private_key, :string, null: false
      add :public_key, :string, null: false
      add :avatar, :string
      add :banner, :string

      timestamps(type: :utc_datetime)
    end
  end
end
