defmodule Nulla.Repo.Migrations.CreateModerationLogs do
  use Ecto.Migration

  def change do
    create table(:moderation_logs) do
      add :moderator_id, references(:users, on_delete: :nilify_all), null: false
      add :target_type, :string, null: false
      add :target_id, :string, null: false
      add :action, :string, null: false
      add :reason, :text
      add :metadata, :map

      timestamps()
    end

    create index(:moderation_logs, [:moderator_id])
    create index(:moderation_logs, [:target_type, :target_id])
  end
end
