defmodule Nulla.Repo.Migrations.CreateFollows do
  use Ecto.Migration

  def change do
    create table(:follows) do
      add :user_id, references(:users, on_delete: :delete_all), null: false
      add :target_id, references(:users, on_delete: :delete_all), null: false

      timestamps()
    end

    create unique_index(:follows, [:user_id, :target_id])
    create index(:follows, [:target_id])
  end
end
