defmodule Nulla.Repo.Migrations.CreateSessions do
  use Ecto.Migration

  def change do
    create table(:sessions) do
      add :user_id, references(:users, on_delete: :delete_all), null: false
      add :token, :string, null: false
      add :user_agent, :string
      add :ip, :string

      timestamps(type: :utc_datetime)
    end

    create index(:sessions, [:user_id])
    create unique_index(:sessions, [:token])
  end
end
